.main > .container {
    gap: 2.5rem;
    padding-top: 1.25rem;
    padding-bottom: 1.25rem
}

@media (min-width: 1024px) {
    .main > .container {
        display: flex;
        padding-top: 5rem;
        padding-bottom: 5rem
    }
}

.sidebar {
    flex-direction: column;
    flex-wrap: wrap
}

@media (min-width: 640px) {
    .sidebar {
        display: flex;
        flex-direction: row
    }
}

@media (min-width: 1024px) {
    .sidebar {
        width: 300px;
        flex-direction: column
    }
}

.sidebar .title {
    display: flex;
    align-items: center;
    justify-content: center;
    border-bottom-width: 4px;
    padding-bottom: .75rem;
    text-align: center;
    font-size: 1.125rem;
    line-height: 1.75rem;
    font-weight: 700
}

@media (min-width: 640px) {
    .sidebar .title {
        padding-bottom: 0;
        font-size: 1.5rem;
        line-height: 2rem
    }
}

@media (min-width: 1024px) {
    .sidebar .title {
        padding-bottom: 1.25rem;
        font-size: 2.25rem;
        line-height: 2.5rem
    }
}

.sidebar .title span:first-child {
    color: var(--primary-color)
}

.sidebar .sub-nav {
    display: flex;
    flex: 1 1 0%;
    flex-wrap: wrap;
    gap: .5rem;
    padding-top: 1rem;
    padding-bottom: 1rem;
    padding-left: 1rem
}

@media (min-width: 640px) {
    .sidebar .sub-nav {
        gap: 1.25rem;
        padding-left: 2.5rem
    }
}

@media (min-width: 1024px) {
    .sidebar .sub-nav {
        flex-direction: column;
        padding-top: 1.25rem;
        padding-bottom: 1.25rem;
        padding-left: 0
    }
}

.sidebar .sub-nav a {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    border-radius: 9999px;
    border-width: 1px;
    padding: .375rem .75rem;
    font-size: .875rem;
    line-height: 1.25rem
}

.sidebar .sub-nav a:hover {
    border-color: var(--primary-color);
    --tw-bg-opacity: 1;
    background-color: rgb(243 244 246 / var(--tw-bg-opacity, 1));
    font-weight: 700;
    color: var(--primary-color)
}

@media (min-width: 1024px) {
    .sidebar .sub-nav a {
        padding-top: .75rem;
        padding-bottom: .75rem;
        font-size: 1.125rem;
        line-height: 1.75rem
    }
}

.sidebar .sub-nav li.active a {
    border-color: var(--primary-color);
    --tw-bg-opacity: 1;
    background-color: rgb(243 244 246 / var(--tw-bg-opacity, 1));
    font-weight: 700;
    color: var(--primary-color)
}

.main-content {
    flex: 1 1 0;
    padding-top: 1.25rem;
    min-height: 300px;
}

@media (min-width: 1024px) {
    .main-content {
        padding-top: 0
    }
}

.content-block {
    padding-left: 1rem;
    padding-right: 1rem
}

@media (min-width: 1024px) {
    .content-block {
        padding-left: 0;
        padding-right: 0
    }
}

.page-content p {
    margin-bottom: 1rem;
    line-height: 1.75rem
}

.page-content img {
    margin: .5rem auto;
    display: block;
    max-width: 100% !important;
    width: auto;
}

.article-list ul {
    display: grid;
    grid-template-columns:repeat(1, minmax(0, 1fr));
    gap: 1rem
}

@media (min-width: 640px) {
    .article-list ul {
        gap: 1.5rem
    }
}

@media (min-width: 1024px) {
    .article-list ul {
        gap: 2rem
    }
}

@media (min-width: 1280px) {
    .article-list ul {
        grid-template-columns:repeat(2, minmax(0, 1fr))
    }
}

.article-list ul li a {
    display: flex;
    height: 100%;
    border-width: 1px;
    padding: 1rem 1.5rem
}

@media (min-width: 640px) {
    .article-list ul li a {
        padding-top: 1.75rem;
        padding-bottom: 1.75rem
    }
}

@media (min-width: 1024px) {
    .article-list ul li a {
        padding-top: 2.5rem;
        padding-bottom: 2.5rem
    }
}

.article-list ul li a .date {
    font-family: Courier New, Courier, monospace;
    position: relative;
    display: flex;
    width: 100px;
    flex-direction: column;
    --tw-text-opacity: 1;
    color: rgb(153 153 153 / var(--tw-text-opacity, 1))
}

.article-list ul li a .date:after {
    content: "";
    width: 50px;
    height: 2px;
    background-color: #d8d8d8;
    position: absolute;
    bottom: 0;
    z-index: 50
}

.article-list ul li a .date span:first-child {
    margin-bottom: .25rem;
    font-size: 1.25rem;
    line-height: 1.75rem;
    font-weight: 700;
    color: var(--text-primary)
}

@media (min-width: 640px) {
    .article-list ul li a .date span:first-child {
        font-size: 1.5rem;
        line-height: 2rem
    }
}

.article-list ul li a .content {
    flex: 1 1 0%
}

.article-list ul li a .content .title {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    overflow: hidden;
    font-size: .875rem;
    line-height: 1.25rem;
    font-weight: 700
}

@media (min-width: 640px) {
    .article-list ul li a .content .title {
        font-size: 1rem;
        line-height: 1.25rem
    }
}

@media (min-width: 1024px) {
    .article-list ul li a .content .title {
        font-size: 1.125rem;
        line-height: 1.75rem
    }
}

.article-list ul li a .content .desc {
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 2;
    line-clamp: 2;
    margin-top: .5rem;
    overflow: hidden;
    font-size: .75rem;
    line-height: 1.25rem;
    --tw-text-opacity: 1;
    color: rgb(153 153 153 / var(--tw-text-opacity, 1))
}

@media (min-width: 640px) {
    .article-list ul li a .content .desc {
        font-size: .875rem;
        line-height: 1.25rem
    }
}

.article-list ul li a:hover {
    border-color: var(--primary-color);
    color: var(--primary-color)
}

.article-pagination nav {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1rem;
    padding-top: 2.5rem
}

.article-pagination .pagination-item {
    display: flex;
    width: 2.5rem;
    height: 2.5rem;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    border-radius: 9999px;
    border-width: 1px;
    padding-left: 1rem;
    padding-right: 1rem;
    font-size: .75rem;
    line-height: 1rem;
}

.article-pagination .pagination-item.prev,
.article-pagination .pagination-item.next,
.article-pagination .pagination-item.items-footer {
    width: auto;
}

.article-pagination .pagination-item:not(.items-footer):hover {
    border-color: var(--primary-color);
    --tw-bg-opacity: 1;
    background-color: rgb(243 244 246 / var(--tw-bg-opacity, 1));
    font-weight: 700;
    color: var(--primary-color)
}

.article-pagination .pagination-item.items-footer {
    border: none;
}

@media (min-width: 640px) {
    .article-pagination .pagination-item {
        font-size: .875rem;
        line-height: 1.25rem
    }
}

.article-pagination .pagination-item.active {
    border-color: var(--primary-color);
    --tw-bg-opacity: 1;
    background-color: rgb(243 244 246 / var(--tw-bg-opacity, 1));
    font-weight: 700;
    color: var(--primary-color)
}

.article-pagination .pagination-item.disabled {
    cursor: not-allowed;
    --tw-text-opacity: 1;
    color: rgb(153 153 153 / var(--tw-text-opacity, 1))
}

.article-pagination .pagination-item.disabled:hover {
    --tw-text-opacity: 1;
    color: rgb(153 153 153 / var(--tw-text-opacity, 1));
    --tw-border-opacity: 1;
    border-color: rgb(229 231 235 / var(--tw-border-opacity, 1))
}

@media (max-width: 540px) {
    .article-pagination nav {
        flex-wrap: wrap;
    }
}

.image-card-list {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 1rem;
}

.image-card-list a {
    aspect-ratio: 2.64 / 1;
    overflow: hidden;
}

.image-card-list a img {
    display: block;
    height: 100%;
    width: 100%;
    object-fit: cover;
    transition: transform 0.2s ease;
}

.image-card-list a:hover img {
    transform: scale(1.1);
}